csum_partial_copy_to_xdr
Prev | SUN RPC subsystem | Next

## Name

csum_partial_copy_to_xdr — checksum and copy data

## Synopsis

`int csum_partial_copy_to_xdr (` | struct xdr_buf * | xdr,
| struct sk_buff * | skb`)`;

## Arguments

`xdr`

  target XDR buffer

`skb`

  source skb

## Description

We have set things up such that we perform the checksum of the UDP packet in parallel with the copies into the RPC client iovec. -DaveM

Prev | Up | Next
xdr_partial_copy_from_skb | Home | rpc_alloc_iostats